# Uses of Class
org.jmol.adapter.smarter.XtalSymmetry.FileSymmetry

Packages that use XtalSymmetry.FileSymmetry
Package
Description
org.jmol.adapter.readers.cif
org.jmol.adapter.smarter

## Uses of XtalSymmetry.FileSymmetry in org.jmol.adapter.readers.cif

Methods in org.jmol.adapter.readers.cif that return XtalSymmetry.FileSymmetry
Modifier and Type
Method
Description
`XtalSymmetry.FileSymmetry`
MSRdr.`getAtomSymmetry(Atom a, XtalSymmetry.FileSymmetry defaultSymmetry)`
When applying symmetry, this method allows us to use a set of symmetry operators unique to this particular atom -- or in this case, to its subsystem.
`XtalSymmetry.FileSymmetry`
MSRdr.`getSymmetryFromCode(String code)`
Methods in org.jmol.adapter.readers.cif with parameters of type XtalSymmetry.FileSymmetry
Modifier and Type
Method
Description
`XtalSymmetry.FileSymmetry`
MSRdr.`getAtomSymmetry(Atom a, XtalSymmetry.FileSymmetry defaultSymmetry)`
When applying symmetry, this method allows us to use a set of symmetry operators unique to this particular atom -- or in this case, to its subsystem.
`void`
MSRdr.`setModulation(boolean isPost, XtalSymmetry.FileSymmetry symmetry)`
Both the Jana reader and the CIF reader will call this to set the modulation for a given model.

## Uses of XtalSymmetry.FileSymmetry in org.jmol.adapter.smarter

Fields in org.jmol.adapter.smarter declared as XtalSymmetry.FileSymmetry
Modifier and Type
Field
Description
`XtalSymmetry.FileSymmetry`
AtomSetCollectionReader.`symmetry`
Methods in org.jmol.adapter.smarter that return XtalSymmetry.FileSymmetry
Modifier and Type
Method
Description
`XtalSymmetry.FileSymmetry`
AtomSetCollectionReader.`applySymTrajASCR()`
`XtalSymmetry.FileSymmetry`
MSInterface.`getAtomSymmetry(Atom a, XtalSymmetry.FileSymmetry symmetry)`
`XtalSymmetry.FileSymmetry`
XtalSymmetry.`getBaseSymmetry()`
Get the symmetry that was in place prior to any supercell business.
`XtalSymmetry.FileSymmetry`
AtomSetCollection.`getSymmetry()`
`XtalSymmetry.FileSymmetry`
AtomSetCollectionReader.`getSymmetry()`
`XtalSymmetry.FileSymmetry`
XtalSymmetry.`getSymmetry()`
`XtalSymmetry.FileSymmetry`
MSInterface.`getSymmetryFromCode(String spaceGroupOperationCode)`
`XtalSymmetry.FileSymmetry`
AtomSetCollection.`newFileSymmetry()`
`XtalSymmetry.FileSymmetry`
XtalSymmetry.`newFileSymmetry()`
`XtalSymmetry.FileSymmetry`
AtomSetCollection.`setSymmetryFromAuditBlock(XtalSymmetry.FileSymmetry symmetry)`
Methods in org.jmol.adapter.smarter with parameters of type XtalSymmetry.FileSymmetry
Modifier and Type
Method
Description
`Tensor`
XtalSymmetry.`addRotatedTensor(Atom a, Tensor t, int iSym, boolean reset, XtalSymmetry.FileSymmetry symmetry)`
`XtalSymmetry.FileSymmetry`
MSInterface.`getAtomSymmetry(Atom a, XtalSymmetry.FileSymmetry symmetry)`
`void`
MSInterface.`setModulation(boolean isPost, XtalSymmetry.FileSymmetry symmetry)`
`XtalSymmetry.FileSymmetry`
AtomSetCollection.`setSymmetryFromAuditBlock(XtalSymmetry.FileSymmetry symmetry)`